<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.9.1"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Tactic Arena: include/SDL/SDL_messagebox.h Source File</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="icon.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Tactic Arena
   </div>
   <div id="projectbrief">Reproduction of Tactic Arena with Custom features</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.1 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search','.html');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_d44c64559bbebec7f509842c48db8b23.html">include</a></li><li class="navelem"><a class="el" href="dir_bb71c587d4eee030bda30f2f35ebd6b7.html">SDL</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="headertitle">
<div class="title">SDL_messagebox.h</div>  </div>
</div><!--header-->
<div class="contents">
<div class="fragment"><div class="line"><a name="l00001"></a><span class="lineno">    1</span>&#160;<span class="comment">/*</span></div>
<div class="line"><a name="l00002"></a><span class="lineno">    2</span>&#160;<span class="comment">  Simple DirectMedia Layer</span></div>
<div class="line"><a name="l00003"></a><span class="lineno">    3</span>&#160;<span class="comment">  Copyright (C) 1997-2020 Sam Lantinga &lt;slouken@libsdl.org&gt;</span></div>
<div class="line"><a name="l00004"></a><span class="lineno">    4</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00005"></a><span class="lineno">    5</span>&#160;<span class="comment">  This software is provided &#39;as-is&#39;, without any express or implied</span></div>
<div class="line"><a name="l00006"></a><span class="lineno">    6</span>&#160;<span class="comment">  warranty.  In no event will the authors be held liable for any damages</span></div>
<div class="line"><a name="l00007"></a><span class="lineno">    7</span>&#160;<span class="comment">  arising from the use of this software.</span></div>
<div class="line"><a name="l00008"></a><span class="lineno">    8</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00009"></a><span class="lineno">    9</span>&#160;<span class="comment">  Permission is granted to anyone to use this software for any purpose,</span></div>
<div class="line"><a name="l00010"></a><span class="lineno">   10</span>&#160;<span class="comment">  including commercial applications, and to alter it and redistribute it</span></div>
<div class="line"><a name="l00011"></a><span class="lineno">   11</span>&#160;<span class="comment">  freely, subject to the following restrictions:</span></div>
<div class="line"><a name="l00012"></a><span class="lineno">   12</span>&#160;<span class="comment"></span> </div>
<div class="line"><a name="l00013"></a><span class="lineno">   13</span>&#160;<span class="comment">  1. The origin of this software must not be misrepresented; you must not</span></div>
<div class="line"><a name="l00014"></a><span class="lineno">   14</span>&#160;<span class="comment">     claim that you wrote the original software. If you use this software</span></div>
<div class="line"><a name="l00015"></a><span class="lineno">   15</span>&#160;<span class="comment">     in a product, an acknowledgment in the product documentation would be</span></div>
<div class="line"><a name="l00016"></a><span class="lineno">   16</span>&#160;<span class="comment">     appreciated but is not required.</span></div>
<div class="line"><a name="l00017"></a><span class="lineno">   17</span>&#160;<span class="comment">  2. Altered source versions must be plainly marked as such, and must not be</span></div>
<div class="line"><a name="l00018"></a><span class="lineno">   18</span>&#160;<span class="comment">     misrepresented as being the original software.</span></div>
<div class="line"><a name="l00019"></a><span class="lineno">   19</span>&#160;<span class="comment">  3. This notice may not be removed or altered from any source distribution.</span></div>
<div class="line"><a name="l00020"></a><span class="lineno">   20</span>&#160;<span class="comment">*/</span></div>
<div class="line"><a name="l00021"></a><span class="lineno">   21</span>&#160; </div>
<div class="line"><a name="l00022"></a><span class="lineno">   22</span>&#160;<span class="preprocessor">#ifndef SDL_messagebox_h_</span></div>
<div class="line"><a name="l00023"></a><span class="lineno">   23</span>&#160;<span class="preprocessor">#define SDL_messagebox_h_</span></div>
<div class="line"><a name="l00024"></a><span class="lineno">   24</span>&#160; </div>
<div class="line"><a name="l00025"></a><span class="lineno">   25</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_s_d_l__stdinc_8h.html">SDL_stdinc.h</a>&quot;</span></div>
<div class="line"><a name="l00026"></a><span class="lineno">   26</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="_s_d_l__video_8h.html">SDL_video.h</a>&quot;</span>      <span class="comment">/* For SDL_Window */</span></div>
<div class="line"><a name="l00027"></a><span class="lineno">   27</span>&#160; </div>
<div class="line"><a name="l00028"></a><span class="lineno">   28</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="begin__code_8h.html">begin_code.h</a>&quot;</span></div>
<div class="line"><a name="l00029"></a><span class="lineno">   29</span>&#160;<span class="comment">/* Set up for C function definitions, even when using C++ */</span></div>
<div class="line"><a name="l00030"></a><span class="lineno">   30</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a name="l00031"></a><span class="lineno">   31</span>&#160;<span class="keyword">extern</span> <span class="stringliteral">&quot;C&quot;</span> {</div>
<div class="line"><a name="l00032"></a><span class="lineno">   32</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00033"></a><span class="lineno">   33</span>&#160; </div>
<div class="line"><a name="l00037"></a><span class="lineno">   37</span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span></div>
<div class="line"><a name="l00038"></a><span class="lineno">   38</span>&#160;{</div>
<div class="line"><a name="l00039"></a><span class="lineno">   39</span>&#160;    SDL_MESSAGEBOX_ERROR                 = 0x00000010,   </div>
<div class="line"><a name="l00040"></a><span class="lineno">   40</span>&#160;    SDL_MESSAGEBOX_WARNING               = 0x00000020,   </div>
<div class="line"><a name="l00041"></a><span class="lineno">   41</span>&#160;    SDL_MESSAGEBOX_INFORMATION           = 0x00000040,   </div>
<div class="line"><a name="l00042"></a><span class="lineno">   42</span>&#160;    SDL_MESSAGEBOX_BUTTONS_LEFT_TO_RIGHT = 0x00000080,   </div>
<div class="line"><a name="l00043"></a><span class="lineno">   43</span>&#160;    SDL_MESSAGEBOX_BUTTONS_RIGHT_TO_LEFT = 0x00000100    </div>
<div class="line"><a name="l00044"></a><span class="lineno">   44</span>&#160;} SDL_MessageBoxFlags;</div>
<div class="line"><a name="l00045"></a><span class="lineno">   45</span>&#160; </div>
<div class="line"><a name="l00049"></a><span class="lineno">   49</span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span></div>
<div class="line"><a name="l00050"></a><span class="lineno">   50</span>&#160;{</div>
<div class="line"><a name="l00051"></a><span class="lineno">   51</span>&#160;    SDL_MESSAGEBOX_BUTTON_RETURNKEY_DEFAULT = 0x00000001,  </div>
<div class="line"><a name="l00052"></a><span class="lineno">   52</span>&#160;    SDL_MESSAGEBOX_BUTTON_ESCAPEKEY_DEFAULT = 0x00000002   </div>
<div class="line"><a name="l00053"></a><span class="lineno">   53</span>&#160;} SDL_MessageBoxButtonFlags;</div>
<div class="line"><a name="l00054"></a><span class="lineno">   54</span>&#160; </div>
<div class="line"><a name="l00058"></a><span class="lineno"><a class="line" href="struct_s_d_l___message_box_button_data.html">   58</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct</span></div>
<div class="line"><a name="l00059"></a><span class="lineno">   59</span>&#160;{</div>
<div class="line"><a name="l00060"></a><span class="lineno"><a class="line" href="struct_s_d_l___message_box_button_data.html#a426c8b5da0e718242c7840706d95de0b">   60</a></span>&#160;    Uint32 <a class="code" href="struct_s_d_l___message_box_button_data.html#a426c8b5da0e718242c7840706d95de0b">flags</a>;       </div>
<div class="line"><a name="l00061"></a><span class="lineno"><a class="line" href="struct_s_d_l___message_box_button_data.html#a22938886a6b13792006cc5c91fa38e92">   61</a></span>&#160;    <span class="keywordtype">int</span> <a class="code" href="struct_s_d_l___message_box_button_data.html#a22938886a6b13792006cc5c91fa38e92">buttonid</a>;       </div>
<div class="line"><a name="l00062"></a><span class="lineno"><a class="line" href="struct_s_d_l___message_box_button_data.html#af35f3062f0577159284c8828caaf08e4">   62</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">char</span> * <a class="code" href="struct_s_d_l___message_box_button_data.html#af35f3062f0577159284c8828caaf08e4">text</a>;  </div>
<div class="line"><a name="l00063"></a><span class="lineno">   63</span>&#160;} <a class="code" href="struct_s_d_l___message_box_button_data.html">SDL_MessageBoxButtonData</a>;</div>
<div class="line"><a name="l00064"></a><span class="lineno">   64</span>&#160; </div>
<div class="line"><a name="l00068"></a><span class="lineno"><a class="line" href="struct_s_d_l___message_box_color.html">   68</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct</span></div>
<div class="line"><a name="l00069"></a><span class="lineno">   69</span>&#160;{</div>
<div class="line"><a name="l00070"></a><span class="lineno">   70</span>&#160;    Uint8 r, g, b;</div>
<div class="line"><a name="l00071"></a><span class="lineno">   71</span>&#160;} <a class="code" href="struct_s_d_l___message_box_color.html">SDL_MessageBoxColor</a>;</div>
<div class="line"><a name="l00072"></a><span class="lineno">   72</span>&#160; </div>
<div class="line"><a name="l00073"></a><span class="lineno">   73</span>&#160;<span class="keyword">typedef</span> <span class="keyword">enum</span></div>
<div class="line"><a name="l00074"></a><span class="lineno">   74</span>&#160;{</div>
<div class="line"><a name="l00075"></a><span class="lineno">   75</span>&#160;    SDL_MESSAGEBOX_COLOR_BACKGROUND,</div>
<div class="line"><a name="l00076"></a><span class="lineno">   76</span>&#160;    SDL_MESSAGEBOX_COLOR_TEXT,</div>
<div class="line"><a name="l00077"></a><span class="lineno">   77</span>&#160;    SDL_MESSAGEBOX_COLOR_BUTTON_BORDER,</div>
<div class="line"><a name="l00078"></a><span class="lineno">   78</span>&#160;    SDL_MESSAGEBOX_COLOR_BUTTON_BACKGROUND,</div>
<div class="line"><a name="l00079"></a><span class="lineno">   79</span>&#160;    SDL_MESSAGEBOX_COLOR_BUTTON_SELECTED,</div>
<div class="line"><a name="l00080"></a><span class="lineno">   80</span>&#160;    SDL_MESSAGEBOX_COLOR_MAX</div>
<div class="line"><a name="l00081"></a><span class="lineno">   81</span>&#160;} SDL_MessageBoxColorType;</div>
<div class="line"><a name="l00082"></a><span class="lineno">   82</span>&#160; </div>
<div class="line"><a name="l00086"></a><span class="lineno"><a class="line" href="struct_s_d_l___message_box_color_scheme.html">   86</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct</span></div>
<div class="line"><a name="l00087"></a><span class="lineno">   87</span>&#160;{</div>
<div class="line"><a name="l00088"></a><span class="lineno">   88</span>&#160;    <a class="code" href="struct_s_d_l___message_box_color.html">SDL_MessageBoxColor</a> colors[SDL_MESSAGEBOX_COLOR_MAX];</div>
<div class="line"><a name="l00089"></a><span class="lineno">   89</span>&#160;} <a class="code" href="struct_s_d_l___message_box_color_scheme.html">SDL_MessageBoxColorScheme</a>;</div>
<div class="line"><a name="l00090"></a><span class="lineno">   90</span>&#160; </div>
<div class="line"><a name="l00094"></a><span class="lineno"><a class="line" href="struct_s_d_l___message_box_data.html">   94</a></span>&#160;<span class="keyword">typedef</span> <span class="keyword">struct</span></div>
<div class="line"><a name="l00095"></a><span class="lineno">   95</span>&#160;{</div>
<div class="line"><a name="l00096"></a><span class="lineno"><a class="line" href="struct_s_d_l___message_box_data.html#a113d016f760bf4e4156b0f376358d6a0">   96</a></span>&#160;    Uint32 <a class="code" href="struct_s_d_l___message_box_data.html#a113d016f760bf4e4156b0f376358d6a0">flags</a>;                       </div>
<div class="line"><a name="l00097"></a><span class="lineno"><a class="line" href="struct_s_d_l___message_box_data.html#a5c333bc93705c66068e140bc28daedcb">   97</a></span>&#160;    <a class="code" href="_s_d_l__video_8h.html#a55a196c7d3b8497538632c79ae1e6392">SDL_Window</a> *<a class="code" href="struct_s_d_l___message_box_data.html#a5c333bc93705c66068e140bc28daedcb">window</a>;                 </div>
<div class="line"><a name="l00098"></a><span class="lineno"><a class="line" href="struct_s_d_l___message_box_data.html#a93ceeafeed20b553ad4c86c9be37f117">   98</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="struct_s_d_l___message_box_data.html#a93ceeafeed20b553ad4c86c9be37f117">title</a>;                  </div>
<div class="line"><a name="l00099"></a><span class="lineno"><a class="line" href="struct_s_d_l___message_box_data.html#ada6ae208a1f85adabbd7a7a08ca609c8">   99</a></span>&#160;    <span class="keyword">const</span> <span class="keywordtype">char</span> *<a class="code" href="struct_s_d_l___message_box_data.html#ada6ae208a1f85adabbd7a7a08ca609c8">message</a>;                </div>
<div class="line"><a name="l00101"></a><span class="lineno">  101</span>&#160;    <span class="keywordtype">int</span> numbuttons;</div>
<div class="line"><a name="l00102"></a><span class="lineno">  102</span>&#160;    <span class="keyword">const</span> <a class="code" href="struct_s_d_l___message_box_button_data.html">SDL_MessageBoxButtonData</a> *buttons;</div>
<div class="line"><a name="l00103"></a><span class="lineno">  103</span>&#160; </div>
<div class="line"><a name="l00104"></a><span class="lineno"><a class="line" href="struct_s_d_l___message_box_data.html#a18744865a3e89e260db5f01aee579e35">  104</a></span>&#160;    <span class="keyword">const</span> <a class="code" href="struct_s_d_l___message_box_color_scheme.html">SDL_MessageBoxColorScheme</a> *<a class="code" href="struct_s_d_l___message_box_data.html#a18744865a3e89e260db5f01aee579e35">colorScheme</a>;   </div>
<div class="line"><a name="l00105"></a><span class="lineno">  105</span>&#160;} <a class="code" href="struct_s_d_l___message_box_data.html">SDL_MessageBoxData</a>;</div>
<div class="line"><a name="l00106"></a><span class="lineno">  106</span>&#160; </div>
<div class="line"><a name="l00121"></a><span class="lineno">  121</span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL SDL_ShowMessageBox(<span class="keyword">const</span> <a class="code" href="struct_s_d_l___message_box_data.html">SDL_MessageBoxData</a> *messageboxdata, <span class="keywordtype">int</span> *buttonid);</div>
<div class="line"><a name="l00122"></a><span class="lineno">  122</span>&#160; </div>
<div class="line"><a name="l00135"></a><span class="lineno">  135</span>&#160;<span class="keyword">extern</span> DECLSPEC <span class="keywordtype">int</span> SDLCALL SDL_ShowSimpleMessageBox(Uint32 flags, <span class="keyword">const</span> <span class="keywordtype">char</span> *title, <span class="keyword">const</span> <span class="keywordtype">char</span> *message, <a class="code" href="_s_d_l__video_8h.html#a55a196c7d3b8497538632c79ae1e6392">SDL_Window</a> *window);</div>
<div class="line"><a name="l00136"></a><span class="lineno">  136</span>&#160; </div>
<div class="line"><a name="l00137"></a><span class="lineno">  137</span>&#160; </div>
<div class="line"><a name="l00138"></a><span class="lineno">  138</span>&#160;<span class="comment">/* Ends C function definitions when using C++ */</span></div>
<div class="line"><a name="l00139"></a><span class="lineno">  139</span>&#160;<span class="preprocessor">#ifdef __cplusplus</span></div>
<div class="line"><a name="l00140"></a><span class="lineno">  140</span>&#160;}</div>
<div class="line"><a name="l00141"></a><span class="lineno">  141</span>&#160;<span class="preprocessor">#endif</span></div>
<div class="line"><a name="l00142"></a><span class="lineno">  142</span>&#160;<span class="preprocessor">#include &quot;<a class="code" href="close__code_8h.html">close_code.h</a>&quot;</span></div>
<div class="line"><a name="l00143"></a><span class="lineno">  143</span>&#160; </div>
<div class="line"><a name="l00144"></a><span class="lineno">  144</span>&#160;<span class="preprocessor">#endif </span><span class="comment">/* SDL_messagebox_h_ */</span><span class="preprocessor"></span></div>
<div class="line"><a name="l00145"></a><span class="lineno">  145</span>&#160; </div>
<div class="line"><a name="l00146"></a><span class="lineno">  146</span>&#160;<span class="comment">/* vi: set ts=4 sw=4 expandtab: */</span></div>
<div class="ttc" id="a_s_d_l__stdinc_8h_html"><div class="ttname"><a href="_s_d_l__stdinc_8h.html">SDL_stdinc.h</a></div></div>
<div class="ttc" id="a_s_d_l__video_8h_html"><div class="ttname"><a href="_s_d_l__video_8h.html">SDL_video.h</a></div></div>
<div class="ttc" id="a_s_d_l__video_8h_html_a55a196c7d3b8497538632c79ae1e6392"><div class="ttname"><a href="_s_d_l__video_8h.html#a55a196c7d3b8497538632c79ae1e6392">SDL_Window</a></div><div class="ttdeci">struct SDL_Window SDL_Window</div><div class="ttdoc">The type used to identify a window.</div><div class="ttdef"><b>Definition:</b> SDL_video.h:90</div></div>
<div class="ttc" id="abegin__code_8h_html"><div class="ttname"><a href="begin__code_8h.html">begin_code.h</a></div></div>
<div class="ttc" id="aclose__code_8h_html"><div class="ttname"><a href="close__code_8h.html">close_code.h</a></div></div>
<div class="ttc" id="astruct_s_d_l___message_box_button_data_html"><div class="ttname"><a href="struct_s_d_l___message_box_button_data.html">SDL_MessageBoxButtonData</a></div><div class="ttdoc">Individual button data.</div><div class="ttdef"><b>Definition:</b> SDL_messagebox.h:59</div></div>
<div class="ttc" id="astruct_s_d_l___message_box_button_data_html_a22938886a6b13792006cc5c91fa38e92"><div class="ttname"><a href="struct_s_d_l___message_box_button_data.html#a22938886a6b13792006cc5c91fa38e92">SDL_MessageBoxButtonData::buttonid</a></div><div class="ttdeci">int buttonid</div><div class="ttdef"><b>Definition:</b> SDL_messagebox.h:61</div></div>
<div class="ttc" id="astruct_s_d_l___message_box_button_data_html_a426c8b5da0e718242c7840706d95de0b"><div class="ttname"><a href="struct_s_d_l___message_box_button_data.html#a426c8b5da0e718242c7840706d95de0b">SDL_MessageBoxButtonData::flags</a></div><div class="ttdeci">Uint32 flags</div><div class="ttdef"><b>Definition:</b> SDL_messagebox.h:60</div></div>
<div class="ttc" id="astruct_s_d_l___message_box_button_data_html_af35f3062f0577159284c8828caaf08e4"><div class="ttname"><a href="struct_s_d_l___message_box_button_data.html#af35f3062f0577159284c8828caaf08e4">SDL_MessageBoxButtonData::text</a></div><div class="ttdeci">const char * text</div><div class="ttdef"><b>Definition:</b> SDL_messagebox.h:62</div></div>
<div class="ttc" id="astruct_s_d_l___message_box_color_html"><div class="ttname"><a href="struct_s_d_l___message_box_color.html">SDL_MessageBoxColor</a></div><div class="ttdoc">RGB value used in a message box color scheme.</div><div class="ttdef"><b>Definition:</b> SDL_messagebox.h:69</div></div>
<div class="ttc" id="astruct_s_d_l___message_box_color_scheme_html"><div class="ttname"><a href="struct_s_d_l___message_box_color_scheme.html">SDL_MessageBoxColorScheme</a></div><div class="ttdoc">A set of colors to use for message box dialogs.</div><div class="ttdef"><b>Definition:</b> SDL_messagebox.h:87</div></div>
<div class="ttc" id="astruct_s_d_l___message_box_data_html"><div class="ttname"><a href="struct_s_d_l___message_box_data.html">SDL_MessageBoxData</a></div><div class="ttdoc">MessageBox structure containing title, text, window, etc.</div><div class="ttdef"><b>Definition:</b> SDL_messagebox.h:95</div></div>
<div class="ttc" id="astruct_s_d_l___message_box_data_html_a113d016f760bf4e4156b0f376358d6a0"><div class="ttname"><a href="struct_s_d_l___message_box_data.html#a113d016f760bf4e4156b0f376358d6a0">SDL_MessageBoxData::flags</a></div><div class="ttdeci">Uint32 flags</div><div class="ttdef"><b>Definition:</b> SDL_messagebox.h:96</div></div>
<div class="ttc" id="astruct_s_d_l___message_box_data_html_a18744865a3e89e260db5f01aee579e35"><div class="ttname"><a href="struct_s_d_l___message_box_data.html#a18744865a3e89e260db5f01aee579e35">SDL_MessageBoxData::colorScheme</a></div><div class="ttdeci">const SDL_MessageBoxColorScheme * colorScheme</div><div class="ttdef"><b>Definition:</b> SDL_messagebox.h:104</div></div>
<div class="ttc" id="astruct_s_d_l___message_box_data_html_a5c333bc93705c66068e140bc28daedcb"><div class="ttname"><a href="struct_s_d_l___message_box_data.html#a5c333bc93705c66068e140bc28daedcb">SDL_MessageBoxData::window</a></div><div class="ttdeci">SDL_Window * window</div><div class="ttdef"><b>Definition:</b> SDL_messagebox.h:97</div></div>
<div class="ttc" id="astruct_s_d_l___message_box_data_html_a93ceeafeed20b553ad4c86c9be37f117"><div class="ttname"><a href="struct_s_d_l___message_box_data.html#a93ceeafeed20b553ad4c86c9be37f117">SDL_MessageBoxData::title</a></div><div class="ttdeci">const char * title</div><div class="ttdef"><b>Definition:</b> SDL_messagebox.h:98</div></div>
<div class="ttc" id="astruct_s_d_l___message_box_data_html_ada6ae208a1f85adabbd7a7a08ca609c8"><div class="ttname"><a href="struct_s_d_l___message_box_data.html#ada6ae208a1f85adabbd7a7a08ca609c8">SDL_MessageBoxData::message</a></div><div class="ttdeci">const char * message</div><div class="ttdef"><b>Definition:</b> SDL_messagebox.h:99</div></div>
</div><!-- fragment --></div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by&#160;<a href="https://www.doxygen.org/index.html"><img class="footer" src="doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.1
</small></address>
</body>
</html>
